Subject: Re: [PATCH] perf: delete unused variable tmp to fix new build warning

From: Paul Gortmaker <[email-masked]>
Date: Thu, 22 May 2014 09:44:46 -0400

On 14-05-22 08:21 AM, Ingo Molnar wrote:
> 
> * Paul Gortmaker <[email-masked]> wrote:
> 
>> commit 3a497f48637e2aac17eabb84a17f8ac5216028fc [tip:perf/core]
>> ("perf: Simplify perf_event_exit_task_context()") deleted the
>> code that was using tmp but not the declaration of it, causing:
>>
>> kernel/events/core.c:7434:35: warning: unused variable ‘tmp’ [-Wunused-variable]
> 
> This warning should be addressed by:
> 
>   12665b35b0b4 perf/events/core: Drop unused variable after cleanup

Indeed - and I now see that commit when I switch over to my tip repo.

However 12665b35b0b4 is not present in linux-next of yesterday or today
(21/22) for some reason.  The tip/auto-latest merged into next has this:

commit 1974363f7e899dc1b9e6e774dc885c7980a7159b
Merge: 67367e2c3f76 7fd44dacdd80
Author: Ingo Molnar <[email-masked]>
Date:   Thu May 8 12:40:28 2014 +0200

    Merge branch 'x86/x32'

as its top commit.  Today's auto-latest in tip shows a similar merge, but
with today's date (and it contains Boris' warning fix too.)  Adding Stephen
to CC in case it is something related to linux-next infrastructure.

Thanks,
Paul.